package com.hai.service;

import com.hai.entity.ApiMemberProduct;

import java.util.List;
import java.util.Map;

/**
 * @serviceName ApiMemberProductService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 会员产品接口
 * @createTime 16:12 2022/7/11
 **/
public interface ApiMemberProductService {

    /**
     * @Author Sum1Dream
     * @name insertApiMemberProduct.java
     * @Description // 新增会员产品
     * @Date 14:55 2022/6/7
     * @Param [com.alibaba.fastjson.JSONObject]
     * @return void
     */
    void insertApiMemberProduct(ApiMemberProduct ApiMemberProduct);

    /**
     * @Author Sum1Dream
     * @name updateApiMemberProduct.java
     * @Description // 修改会员产品
     * @Date 14:56 2022/6/7
     * @Param [com.alibaba.fastjson.JSONObject]
     * @return void
     */
    void updateApiMemberProduct(ApiMemberProduct ApiMemberProduct);

    /**
     * @Author Sum1Dream
     * @name getListApiMemberProduct.java
     * @Description // 查询会员产品
     * @Date 14:57 2022/6/7
     * @Param [java.util.Map<java.lang.String,java.lang.Object>]
     * @return java.util.List<com.hai.entity.ApiMemberProduct>
     */
    List<ApiMemberProduct> getListApiMemberProduct(Map<String, Object> map);

    /**
     * @Author Sum1Dream
     * @name findById.java
     * @Description // 根据id 查询会员产品
     * @Date 15:24 2022/6/7
     * @Param [java.lang.Long]
     * @return com.hai.entity.ApiMemberProduct
     */
    ApiMemberProduct findById(Long id);
    
}
